
  #include <Servo.h> 

  int servoPin = 10;
 
  Servo servo;  
 
  int angle = 0;   // servo position in degrees  

  #define enA 9
  #define in1 8
  #define in2 7
  #define enB 3
  #define in3 6
  #define in4 4

  int command;

  void setup() {

    //Servo
    servo.attach(servoPin); 
    
    pinMode(enA, OUTPUT);
    pinMode(enB, OUTPUT);
    pinMode(in1, OUTPUT);
    pinMode(in2, OUTPUT);
    pinMode(in3, OUTPUT);
    pinMode(in4, OUTPUT);

    Serial.begin(9600); // Default communication rate of the Bluetooth module
  }

  void loop() {


    // Read the incoming data from the Teacher module
    while (Serial.available() >= 2) {
        command = Serial.read();
        delay(10);
        Serial.println("Command received :");
        Serial.println(command);

        if (command=='1')
        {
          Forward();
        }

        if (command=='2')
        {
          Backward();
        }

        if (command=='3')
        {
          Right();
        }

        if (command=='4')
        {
          Left();
        }

        if (command=='5')
        {
          Led();
        }

        if (command=='6')
        {
          servoUp();
        }

        if (command=='7')
        {
          servoDown();
        }


        else
        {
          Stop();
        }
     }

  }



     void Forward() {
    // Set motors to maximum speed
    // For PWM maximum possible values are 0 to 255
    analogWrite(enA, 255);
    analogWrite(enB, 255);

    // Turn on motor A & B
    digitalWrite(in1, HIGH);
    digitalWrite(in2, LOW);
    digitalWrite(in3, HIGH);
    digitalWrite(in4, LOW);
    delay(10);

  }

  void Backward() {
    // Set motors to maximum speed
    // For PWM maximum possible values are 0 to 255
    analogWrite(enA, 255);
    analogWrite(enB, 255);

    // Turn on motor A & B
    digitalWrite(in1, LOW);
    digitalWrite(in2, HIGH);
    digitalWrite(in3, LOW);
    digitalWrite(in4, HIGH);
    delay(10);

  }

  void Right() {
    // Set motors to maximum speed
    // For PWM maximum possible values are 0 to 255
    analogWrite(enA, 255);
    analogWrite(enB, 255);

    // Turn on motor A & B
    digitalWrite(in1, HIGH);
    digitalWrite(in2, LOW);
    digitalWrite(in3, LOW);
    digitalWrite(in4, HIGH);
    delay(10);

  }

  void Left() {
    // Set motors to maximum speed
    // For PWM maximum possible values are 0 to 255
    analogWrite(enA, 255);
    analogWrite(enB, 255);

    // Turn on motor A & B
    digitalWrite(in1, LOW);
    digitalWrite(in2, HIGH);
    digitalWrite(in3, HIGH);
    digitalWrite(in4, LOW);
    delay(10);

  }

  void Stop() {
    // Set motors to maximum speed
    // For PWM maximum possible values are 0 to 255
    analogWrite(enA, 255);
    analogWrite(enB, 255);

    // Turn on motor A & B
    digitalWrite(in1, LOW);
    digitalWrite(in2, LOW);
    digitalWrite(in3, LOW);
    digitalWrite(in4, LOW);
    delay(10);

  }


  void Led() {
   
    digitalWrite(LED_BUILTIN, HIGH);   // turn the LED on (HIGH is the voltage level)
      delay(1000);                       // wait for a second
      digitalWrite(LED_BUILTIN, LOW);    // turn the LED off by making the voltage LOW
      delay(1000); 

  }

  void servoUp() { 
                                
    servo.write(90); 
    delay(10);               
                     
       
  }

  void servoDown() { 
                                
    servo.write(0);               
    delay(10);                   
       
  }
